Support multilingual query templates
Closed, ResolvedPublic

Description

To make sharing queries with other people even easier, it would be nice if it was possible to include several languages of the template text in a query template, and on display the best available language would be chosen based on the user’s language.

The JSON structure could be fairly simple – support an object { "en": "foo", "de": "fu" } instead of the direct text. (Of course, single-language templates must remain supported for backwards compatibility.)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 4:29 PM

Change 408850 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[wikidata/query/gui@master] Support multiple languages in query templates

https://gerrit.wikimedia.org/r/408850

Change 408850 merged by jenkins-bot:
[wikidata/query/gui@master] Support multiple languages in query templates

https://gerrit.wikimedia.org/r/408850

Jonas moved this task from Backlog to Done on the Wikidata Query UI board.Mar 5 2018, 3:59 PM
Jonas triaged this task as Low priority.
Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 6 2018, 12:31 PM

This is deployed on query.wikidata.org now, see this query for an example.